> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monxa.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Payouts

> List all payouts with pagination support.



## OpenAPI

````yaml api-reference/openapi.json get /v1/payouts
openapi: 3.0.1
info:
  title: Monxa API
  description: ''
  version: 1.0.0
servers: []
security:
  - Bearer: []
tags:
  - name: balances
  - name: customers
  - name: merchants
  - name: charges
  - name: payouts
paths:
  /v1/payouts:
    get:
      tags:
        - payouts
      summary: Get All Payouts
      description: List all payouts with pagination support.
      parameters:
        - name: SearchText
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: OrderBy
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: IsDescending
          in: query
          description: ''
          required: false
          schema:
            type: boolean
        - name: PageNumber
          in: query
          description: ''
          required: false
          schema:
            type: integer
            format: int32
        - name: PageSize
          in: query
          description: ''
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PayoutDto'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '403':
          description: Forbidden
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '409':
          description: Conflict
          headers: {}
        '429':
          description: Too Many Requests
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    PayoutDto:
      required:
        - fee
        - bank_account_name
        - bank_account_number
        - bank_name
        - currency
        - merchant_id
        - id
        - created_on
      type: object
      properties:
        amount:
          type: number
          format: double
        fee_amount:
          type: number
          format: double
        net_amount:
          type: number
          format: double
        fee:
          $ref: '#/components/schemas/MxFee'
        payout_status:
          $ref: '#/components/schemas/PayoutStatus'
        bank_account_name:
          type: string
        bank_account_number:
          type: string
        bank_name:
          type: string
        currency:
          type: string
        merchant_id:
          type: string
        description:
          type: string
          nullable: true
        id:
          type: string
          format: uuid
        created_on:
          type: string
          format: date-time
        updated_on:
          type: string
          format: date-time
          nullable: true
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    MxFee:
      required:
        - type
        - value
      type: object
      properties:
        type:
          $ref: '#/components/schemas/FeeTypes'
        value:
          type: number
          format: float
    PayoutStatus: {}
    FeeTypes: {}
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````